import 'package:flutter_waff/flutter_waff.dart';
import 'package:get/get.dart';
import 'package:path/path.dart';

import '../utils/utils.dart';
import 'db/db_migration.dart';
import 'env.dart';
import 'locales/locales.dart';
import 'themes/themes.dart';

abstract class Denpendencies {
  static Future<void> init() async {
    // DbService
    await Get.putAsync(() async {
      var db = DbService(
        path: join((await supportDirectory).path, Env.dbFilename),
        currentVersion: DbMigration.CURRENT_VERSION,
        onCreate: DbMigration.onCreate,
        onUpgrade: DbMigration.onUpgrade,
        onDowngrade: DbMigration.onDowngrade,
      );
      await db.init();

      return db;
    }, permanent: true);

    // StorageService
    await Get.putAsync(() async {
      var storage = StorageService(Get.find<DbService>());
      await storage.init();

      return storage;
    }, permanent: true);

    // Locale&Theme
    Get.put(Themes(), permanent: true);
    Get.put(Locales(), permanent: true);
  }
}
