import 'package:get/get.dart';

import '../pages/main/main_page.dart';
import '../pages/utils_example/app_lifecycle/app_lifecycle_page.dart';
import '../pages/utils_example/connectivity/connectivity_page.dart';
import '../pages/utils_example/event_bus/event_bus_page.dart';
import '../pages/widget_example/icons/icons_page.dart';
import '../pages/widget_example/refresh/refresh_page.dart';
import '../pages/widget_example/swipe/swipe_page.dart';

abstract class Routes {
  static const String MAIN = '/';
  static const String SWIPE = '/widget_example/swipe';
  static const String REFRESH = '/widget_example/refresh';
  static const String ICONS = '/widget_example/icons';
  static const String EVENT_BUS = '/utils_example/event_bus';
  static const String APP_LIFECYCLE = '/utils_example/app_lifecycle';
  static const String CONNECTIVITY = '/utils_example/connectivity';

  static final List<GetPage> pages = [
    GetPage(
      name: MAIN,
      page: () => MainPage(),
    ),
    GetPage(
      name: SWIPE,
      page: () => SwipePage(),
    ),
    GetPage(
      name: REFRESH,
      page: () => RefreshPage(),
    ),
    GetPage(
      name: ICONS,
      page: () => IconsPage(),
    ),
    GetPage(
      name: EVENT_BUS,
      page: () => EventBusPage(),
    ),
    GetPage(
      name: APP_LIFECYCLE,
      page: () => AppLifecyclePage(),
    ),
    GetPage(
      name: CONNECTIVITY,
      page: () => ConnectivityPage(),
    ),
  ];
}
