import 'package:flutter/material.dart';
import 'package:get/get.dart';

class ExampleViewWidget extends StatelessWidget {
  final List<ExampleViewItem> _items;

  ExampleViewWidget(this._items);

  @override
  Widget build(BuildContext context) {
    return ListView(
      children: ListTile.divideTiles(
          context: context,
          tiles: _items.map((e) {
            if (e.routeName == null && e.onTap == null) {
              return ListTile(title: e.titleWidget ?? Text(e.title!));
            }

            return ListTile(
              title: e.titleWidget ?? Text(e.title!),
              trailing: Icon(Icons.arrow_forward_ios),
              onTap: () {
                if (e.routeName != null) {
                  Get.toNamed(e.routeName!);
                } else if (e.onTap != null) {
                  e.onTap!();
                }
              },
            );
          })).toList(growable: false),
    );
  }
}

class ExampleViewItem {
  final String? title;
  final Widget? titleWidget;
  final String? routeName;
  final Function()? onTap;

  ExampleViewItem({
    this.title,
    this.titleWidget,
    this.routeName,
    this.onTap,
  }) : assert(title != null || titleWidget != null);
}
