import 'package:flutter/material.dart';
import 'package:flutter_waff/flutter_waff.dart';
import 'package:get/get.dart';

import '../../configs/locales/locales.dart';
import '../../configs/themes/themes.dart';
import '../components/example_view_widget.dart';

class LocaleThemeExamplePage extends StatelessWidget {
  final Themes themesCtrl = Get.find();
  final Locales localesCtrl = Get.find();

  @override
  Widget build(BuildContext context) {
    return Obx(() {
      return ExampleViewWidget([
        ExampleViewItem(
          title: 'locale_theme_example_page.change_theme_mode'
              .trParams({'mode': themesCtrl.mode.value.toString()}),
          onTap: () async {
            switch (await showActionsSheet<ThemeMode>([
              ActionSheetItem(
                  value: ThemeMode.light,
                  text: 'locale_theme_example_page.theme_mode_light'.tr),
              ActionSheetItem(
                  value: ThemeMode.dark,
                  text: 'locale_theme_example_page.theme_mode_dark'.tr),
              ActionSheetItem(
                  value: ThemeMode.system,
                  text: 'locale_theme_example_page.theme_mode_system'.tr),
            ])) {
              case ThemeMode.light:
                themesCtrl.changeMode(ThemeMode.light);
                break;
              case ThemeMode.dark:
                themesCtrl.changeMode(ThemeMode.dark);
                break;
              case ThemeMode.system:
                themesCtrl.changeMode(ThemeMode.system);
                break;
              default:
            }
          },
        ),
        ExampleViewItem(
          titleWidget: Text(
            'locale_theme_example_page.theme_colors'.tr,
            style: TextStyle(color: Themes.currentColors.widgetTextColor),
          ),
        ),
        ExampleViewItem(
          title: 'locale_theme_example_page.change_locale'.trParams({
            'localeName':
                'common.locale_name_${localesCtrl.currentName.value}'.tr
          }),
          onTap: () async {
            localesCtrl.change(await showActionsSheet<String>([
              ActionSheetItem(value: 'ja', text: 'common.locale_name_ja'.tr),
              ActionSheetItem(
                  value: 'zh_CN', text: 'common.locale_name_zh_CN'.tr),
            ]));
          },
        ),
        ExampleViewItem(
            title:
                '\'locale_theme_example_page.hello\'.tr = ${'locale_theme_example_page.hello'.tr}'),
        ExampleViewItem(
            title:
                '\'locale_theme_example_page.hello_name\'.trParams({\'name\': \'Flutter!\'}) = ${'locale_theme_example_page.hello_name'.trParams({
              'name': 'Flutter!'
            })}'),
      ]);
    });
  }
}
