import 'package:flutter/widgets.dart';

typedef Widget _PageCreatorCallback();

class MainBarSettings {
  final List<MainBarItem> _items;
  MainBarSettings(this._items);

  List<BottomNavigationBarItem> get bottomNavigationBarItems =>
      _items.map((e) => e.item).toList(growable: false);

  String getTitle(index) {
    return _items[index].title;
  }

  Widget getPage(index) {
    return _items[index].page;
  }
}

class MainBarItem {
  final String title;
  final BottomNavigationBarItem item;
  final _PageCreatorCallback pageCreator;

  Widget? _page;
  Widget get page => _page ??= pageCreator();

  MainBarItem(this.title, this.item, this.pageCreator);
}
