import 'package:flutter/material.dart';
import 'package:flutter_waff_example/pages/documents/documents_page.dart';
import 'package:get/get.dart';

import '../home/home_page.dart';
import '../locale_theme_example/locale_theme_example_page.dart';
import '../utils_example/utils_example_page.dart';
import '../widget_example/widget_example_page.dart';
import 'main_bar_settings.dart';
import 'main_controller.dart';

class MainPage extends StatelessWidget {
  final _ctrl = Get.put(MainController());

  @override
  Widget build(BuildContext context) {
    final barSettings = MainBarSettings([
      MainBarItem(
        'main_page.home_title'.tr,
        BottomNavigationBarItem(
            icon: Icon(Icons.home), label: 'main_page.home'.tr),
            () => HomePage(),
      ),
      MainBarItem(
        'main_page.widget_example_title'.tr,
        BottomNavigationBarItem(
            icon: Icon(Icons.widgets), label: 'main_page.widget_example'.tr),
            () => WidgetExamplePage(),
      ),
      MainBarItem(
        'main_page.utils_example_title'.tr,
        BottomNavigationBarItem(
            icon: Icon(Icons.work), label: 'main_page.utils_example'.tr),
            () => UtilsExamplePage(),
      ),
      MainBarItem(
        'main_page.locale_theme_example_title'.tr,
        BottomNavigationBarItem(
            icon: Icon(Icons.color_lens),
            label: 'main_page.locale_theme_example'.tr),
            () => LocaleThemeExamplePage(),
      ),
      MainBarItem(
        'main_page.documents'.tr,
        BottomNavigationBarItem(
            icon: Icon(Icons.library_books), label: 'main_page.documents'.tr),
            () => DocumentsPage(),
      ),
    ]);

    return Obx(
      () => Scaffold(
        appBar: AppBar(
          title: Text(barSettings.getTitle(_ctrl.currentIndex.value)),
        ),
        bottomNavigationBar: BottomNavigationBar(
          type: BottomNavigationBarType.fixed,
          currentIndex: _ctrl.currentIndex.value,
          items: barSettings.bottomNavigationBarItems,
          onTap: (index) {
            _ctrl.changeCurrentIndex(index);
          },
        ),
        body: barSettings.getPage(_ctrl.currentIndex.value),
      ),
    );
  }
}
