import 'dart:async';

import 'package:flutter_waff/flutter_waff.dart';
import 'package:get/get.dart';

class ConnectivityController extends GetxController {
  StreamSubscription? _stream;

  final state = Rx<ConnectivityState?>(null);

  @override
  void onInit() {
    super.onInit();

    // listen
    _stream = eventBus.on<ConnectivityEvent>().listen((event) {
      state.value = event.state;
    });

    // ConnectivityListener startup
    ConnectivityListener.startup(
        availabilityHosts: ['baidu.com', 'google.com']);
  }

  @override
  void onClose() {
    super.onClose();

    _stream?.cancel();
  }
}
