import 'dart:math';

import 'package:flutter/material.dart';
import 'package:flutter_waff/flutter_waff.dart';
import 'package:get/get.dart';

import '../../../services/event_bus_events.dart';
import 'event_bus_controller.dart';

class EventBusPage extends StatelessWidget {
  final _ctrl = Get.put(EventBusController());
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        title: Text('event_bus_page.title'.tr),
      ),
      body: Center(
        child: Column(
          mainAxisAlignment: MainAxisAlignment.center,
          crossAxisAlignment: CrossAxisAlignment.center,
          children: [
            Padding(
              padding: EdgeInsets.all(30),
              child: Text('event_bus_page.intro'.tr),
            ),
            ElevatedButton(
              onPressed: () {
                eventBus.fire(ExampleEvent(
                    'Waff EventBus Example (${Random().nextDouble()})'));
              },
              child: Text('event_bus_page.send_message'.tr),
            ),
            Obx(() {
              return Padding(
                padding: EdgeInsets.all(30),
                child: _ctrl.message.value.isNotEmpty
                    ? Text('event_bus_page.receive_message'
                        .trParams({'message': _ctrl.message.value}))
                    : Text('event_bus_page.non_message'.tr,
                        style: Get.theme.textTheme.caption),
              );
            }),
          ],
        ),
      ),
    );
  }
}
