import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import 'package:get/get.dart';

import '../../components/app_icons.dart';

class IconsPage extends StatelessWidget {
  final List<IconData> _appIcons = [
    AppIcons.map,
    AppIcons.close,
    AppIcons.calendar,
    AppIcons.camera,
    AppIcons.capsLock,
    AppIcons.chartBar,
    AppIcons.chartPie,
    AppIcons.checkItem,
    AppIcons.code,
    AppIcons.adjust,
    AppIcons.arrowDoubleLeft,
    AppIcons.ashbin,
  ];
  final List<IconData> _materialIcons = [
    Icons.color_lens,
    Icons.message,
    Icons.event,
    Icons.storage,
    Icons.map,
    Icons.panorama,
    Icons.star,
    Icons.ac_unit,
    Icons.access_alarm,
    Icons.access_time,
    Icons.accessibility,
    Icons.account_balance,
  ];
  final List<IconData> _cupertinoIcons = [
    CupertinoIcons.star,
    CupertinoIcons.map,
    CupertinoIcons.color_filter,
    CupertinoIcons.add_circled,
    CupertinoIcons.airplane,
    CupertinoIcons.alarm,
    CupertinoIcons.app_badge_fill,
    CupertinoIcons.arrow_2_circlepath,
    CupertinoIcons.arrow_down_circle,
    CupertinoIcons.arrow_swap,
    CupertinoIcons.arrowshape_turn_up_left_2,
    CupertinoIcons.circle_grid_3x3,
  ];

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        title: Text('Icons Example'),
      ),
      body: SingleChildScrollView(
        child: Padding(
          padding: EdgeInsets.all(20),
          child: Column(
            crossAxisAlignment: CrossAxisAlignment.start,
            children: [
              Text(
                'Application custom icons',
                style: Get.theme.textTheme.headline5,
              ),
              Text(
                'pages/components/app_icons.dart',
                style: Get.theme.textTheme.caption,
              ),
              GridView.builder(
                shrinkWrap: true,
                physics: new NeverScrollableScrollPhysics(),
                gridDelegate: SliverGridDelegateWithFixedCrossAxisCount(
                    crossAxisCount: 6),
                itemCount: _appIcons.length,
                itemBuilder: (context, index) {
                  return Icon(
                    _appIcons[index],
                    color: Get.theme.textTheme.caption?.color,
                  );
                },
              ),
              Text(
                'Material icons',
                style: Get.theme.textTheme.headline5,
              ),
              GridView.builder(
                shrinkWrap: true,
                physics: new NeverScrollableScrollPhysics(),
                gridDelegate: SliverGridDelegateWithFixedCrossAxisCount(
                    crossAxisCount: 6),
                itemCount: _materialIcons.length,
                itemBuilder: (context, index) {
                  return Icon(
                    _materialIcons[index],
                    color: Get.theme.textTheme.caption?.color,
                  );
                },
              ),
              Text(
                'Cupertino icons',
                style: Get.theme.textTheme.headline5,
              ),
              GridView.builder(
                shrinkWrap: true,
                physics: new NeverScrollableScrollPhysics(),
                gridDelegate: SliverGridDelegateWithFixedCrossAxisCount(
                    crossAxisCount: 6),
                itemCount: _cupertinoIcons.length,
                itemBuilder: (context, index) {
                  return Icon(
                    _cupertinoIcons[index],
                    color: Get.theme.textTheme.caption?.color,
                  );
                },
              ),
            ],
          ),
        ),
      ),
    );
  }
}
