import 'package:flutter/material.dart';
import 'package:flutter_waff/flutter_waff.dart';
import 'package:get/get.dart';

class SwipePage extends StatelessWidget {
  final swipeImages = <String>[
    'assets/images/swipe_1.jpg',
    'assets/images/swipe_2.jpg',
    'assets/images/swipe_3.jpg',
    'assets/images/swipe_4.jpg',
    'assets/images/swipe_5.jpg',
  ];

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        title: Text('Swipe example'),
      ),
      body: SwipeWidget(
        height: calculateHeightByScale(Get.width, 1),
        itemCount: swipeImages.length,
        itemBuilder: (BuildContext context, int index) {
          return Image.asset(swipeImages[index], fit: BoxFit.cover);
        },
        indicatorTheme: SwipeIndicatorTheme(
            activeColor: Get.theme.primaryColor,
            inactiveColor: Get.theme.scaffoldBackgroundColor,
            backgroundColor: Get.theme.primaryColor.withAlpha(100)),
        onTap: (index) {
          showAlertDialog('Click swipe_${index + 1}.jpg');
        },
      ),
    );
  }
}
