import 'package:flutter/material.dart';
import 'package:flutter_waff/flutter_waff.dart';

import '../../configs/routes.dart';
import '../components/example_view_widget.dart';

enum MyActions { ONE, TWO }

class WidgetExamplePage extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return ExampleViewWidget([
      ExampleViewItem(
          title: 'showActionsSheet',
          onTap: () async {
            switch (await showActionsSheet<MyActions>([
              ActionSheetItem(value: MyActions.ONE, text: 'One'),
              ActionSheetItem(value: MyActions.TWO, text: 'Two'),
            ])) {
              case MyActions.ONE:
                showAlertDialog('Press the "One" button');
                break;
              case MyActions.TWO:
                showAlertDialog('Press the "Two" button');
                break;
              default:
                showAlertDialog('Cancel');
            }
          }),
      ExampleViewItem(
          title: 'showAlertDialog',
          onTap: () {
            showAlertDialog('My info text ...',
                title: 'My Title', ok: 'Awesome!');
          }),
      ExampleViewItem(
        title: 'showConfirmDialog',
        onTap: () async {
          if (await showConfirmDialog('My confirm text ...',
              yes: 'Go!', no: 'No')) {
            showAlertDialog('Press the "Go!" button');
          } else {
            showAlertDialog('Press the "No" button');
          }
        },
      ),
      ExampleViewItem(
          title: 'showSnackBar',
          onTap: () {
            showSnackBar('Message');
          }),
      ExampleViewItem(
          title: 'showSnackBarError',
          onTap: () {
            showSnackBarError('Error message');
          }),
      ExampleViewItem(title: 'SwipeWidget', routeName: Routes.SWIPE),
      ExampleViewItem(
          title: 'PullToRefresh (HTTP Request)', routeName: Routes.REFRESH),
      ExampleViewItem(title: 'Icons Example', routeName: Routes.ICONS),
    ]);
  }
}
