import 'package:flutter/material.dart';

import 'swipe_widget.dart';

class SwipeIndicatorWidget extends StatelessWidget {
  final int currentIndex;
  final int itemCount;
  final SwipeIndicatorTheme theme;

  SwipeIndicatorWidget({
    required this.currentIndex,
    required this.itemCount,
    required this.theme,
    Key? key,
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    List<Widget> dots = [];
    for (int i = 0; i < itemCount; i++) {
      bool active = i == currentIndex;
      dots.add(
        Container(
          margin: EdgeInsets.fromLTRB(6, 3, 6, 3),
          child: ClipOval(
            child: Container(
              color: active ? theme.activeColor : theme.inactiveColor,
              width: 10.0,
              height: 10.0,
            ),
          ),
        ),
      );
    }

    return Container(
      padding: EdgeInsets.fromLTRB(6, 2, 6, 2),
      decoration: BoxDecoration(
        color: theme.backgroundColor,
        borderRadius: BorderRadius.all(Radius.circular(10)),
      ),
      child: Row(
        children: dots,
      ),
    );
  }
}
